Summary: Utilities for the XFce Desktop Environment
Name: xfce-utils
Version: 4.4.2
Release: alt0.S40.2

License: GPL
Url: http://www.xfce.org/
Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2
Source1: xfce-utils-4.4.2-l10n-ru.tar.bz2
Source2: xfce-doc-entities.tar

Patch1: xfce-utils-altlinux-gdm.patch
Patch2: xfce-utils-session-icon.patch
Patch3: xfce-utils-xrdb.patch
Patch4: alt-xfce-utils-xinitrc.patch

#Patch from fucking git
Patch10: xfce-utils-4.4.0-pauseme.patch
Patch11: xfce-utils-about-info-l10n.patch
Patch12: xfce-external-xsl-fix.patch

Group: Graphical desktop/XFce
#Packager: Eugene Ostapets <eostapets@altlinux.ru>
Packager: Andrey Cherepanov <cas@altlinux.ru>

BuildPreReq: libxfce4util-devel, libxfcegui4-devel, xfce4-dev-tools >= 4.4.0
BuildPreReq: xfce-mcs-manager-devel, libxfce4mcs-devel

Requires: libxfcegui4
Requires: libxfce4mcs
Requires: xfce-mcs-manager, libgtk+2-common
# Automatically added by buildreq on Mon Nov 19 2007
BuildRequires: gcc-c++ imake libSM-devel libdbus-glib-devel libstartup-notification libxfcegui4-devel xfce4-dev-tools xorg-cf-files xsltproc

%description
xfce-utils contains utilities for the XFce Desktop Environment

%prep
%setup
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p2
tar xfj %SOURCE1
tar xf %SOURCE2 -C doc/

%build
aclocal -I %_datadir/xfce4/dev-tools/m4macros
automake -acf
autoconf
%configure  \
	--enable-final \
	--enable-gdm \
	--with-gdm-prefix=%_sysconfdir/X11 \
	--enable-dbus \
	--enable-debug=no \
	--with-browser=seamonkey \
	--with-terminal=Terminal
#	--with-vendor-info=ALTLinux \
%make -C doc html
%make

%install
%make_install install DESTDIR=%buildroot
%find_lang %name

%post
%_bindir/gtk-update-icon-cache
%postun
%_bindir/gtk-update-icon-cache

%files -f %name.lang
%doc README TODO ChangeLog NEWS INSTALL COPYING AUTHORS
%_bindir/*
%_datadir/apps/*
%_datadir/xfce4/*
%config(noreplace) %_x11sysconfdir/sessions/xfce.desktop
%config(noreplace) %_x11sysconfdir/gdm/Sessions/XFce4
%config(noreplace) %_x11sysconfdir/wmsession.d/10XFce4
%config(noreplace) %_sysconfdir/xdg/xfce4/xinitrc
%_sysconfdir/xdg/xfce4/Xft.xrdb
%_datadir/dbus-1/services/org.xfce.RunDialog.service
%_liconsdir/*
%_datadir/xsessions/xfce.desktop

%changelog
* Mon Dec 08 2008 Andrey Cherepanov <cas@altlinux.org> 4.4.2-alt0.S40.2
- Replace external entities by local files 

* Mon Jun 09 2008 Andrey Cherepanov <cas@altlinux.ru> 4.4.2-alt0.S40.1
- Update Russian translation
- Tranaslate documentation on Russian
- Show localized information in xfce4-about

* Tue Jan 15 2008 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt0.M40
- backport for branch
- get "pauseme" patch from f*cking git

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Tue Oct 23 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt2
- fix 10917

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release
- fix 10917

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Fri Dec 29 2006 ALT QA Team Robot <qa-robot@altlinux.org> 4.3.99.2-alt2.1
- Rebuilt due to libdbus-1.so.2 -> libdbus-1.so.3 soname change.

* Fri Nov 10 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt2
- add icon for wm-select (bug 10240)
- strict library version build requires

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  4.3.99.1-alt2
- Fix buildreq and cleanup spec

* Sat Sep 30 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- first build

